searchNodes=[{"doc":"Localized metrics reporter","ref":"Mobius.html","title":"Mobius","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Mobius.html#child_spec/1","title":"Mobius.child_spec/1","type":"function"},{"doc":"Start Mobius","ref":"Mobius.html#start_link/1","title":"Mobius.start_link/1","type":"function"},{"doc":"Arguments to Mobius :name - the name of the mobius instance (defaults to :mobius ) :metrics - list of telemetry metrics for Mobius to track :persistence_dir - the top level directory where mobius will persist metric information","ref":"Mobius.html#t:arg/0","title":"Mobius.arg/0","type":"type"},{"doc":"","ref":"Mobius.html#t:metric_name/0","title":"Mobius.metric_name/0","type":"type"},{"doc":"","ref":"Mobius.html#t:metric_type/0","title":"Mobius.metric_type/0","type":"type"},{"doc":"The name of the Mobius instance This is used to store data for a particular set of mobius metrics.","ref":"Mobius.html#t:name/0","title":"Mobius.name/0","type":"type"},{"doc":"The time resolution of the metrics being collected :month - metrics over the last 31 days :week - metrics over the last 7 days :day - metrics over the last 24 hours :hour - metrics over the last 60 minutes :minute - metrics over the last 60 seconds","ref":"Mobius.html#t:resolution/0","title":"Mobius.resolution/0","type":"type"},{"doc":"Module for plotting and reporting about metric data","ref":"Mobius.Charts.html","title":"Mobius.Charts","type":"module"},{"doc":"Get the current metric information If you configured Mobius to use a different name then you can pass in your custom name to ensure Mobius requests the metrics from the right place.","ref":"Mobius.Charts.html#info/1","title":"Mobius.Charts.info/1","type":"function"},{"doc":"Plot the metric name to the screen If there are tags for the metric you can pass those in the second argument: Mobius.Charts . plot ( &quot;vm.memory.total&quot; , %{ some : :tag } ) Optionally you can pass in a resolution to see the metrics recorded over time specified by the resolution. Mobius.Charts . plot ( &quot;vm.memory.total&quot; , %{ } , resolution : :hour ) By default the resolution is :minute , which will display the metrics over the last minute.","ref":"Mobius.Charts.html#plot/3","title":"Mobius.Charts.plot/3","type":"function"},{"doc":"Options to use when plotting time series metric data :resolution - at what time scale you want to see the past event (default :minute ) :name - the name of the Mobius instance you are using. Unless you specified this in your configuration you should be safe to allow this option to default, which is :mobius_metrics .","ref":"Mobius.Charts.html#t:plot_opt/0","title":"Mobius.Charts.plot_opt/0","type":"type"},{"doc":"Mobius Library for localized telemetry metrics","ref":"readme.html","title":"Mobius","type":"extras"},{"doc":"def deps do [ { :mobius , &quot;~&gt; 0.2.0&quot; } ] end","ref":"readme.html#installation","title":"Mobius - Installation","type":"extras"},{"doc":"Add Mobius to your supervision tree and pass in the metrics you want to track. def start ( _type , _args ) do metrics = [ Metrics . last_value ( &quot;my.telemetry.event&quot; ) , ] children = [ # ... other children .... { Mobius , metrics : metrics } # ... other children .... ] # See https://hexdocs.pm/elixir/Supervisor.html # for other strategies and supported options opts = [ strategy : :one_for_one , name : MyApp.Supervisor ] Supervisor . start_link ( children , opts ) end Mobius scrapes current metric information at different resolutions: :minute - metrics over the last minute in 1 second intervals :hour - metrics over the last hour in 1 minute intervals :day - metrics over the last day in 1 hour intervals :week - metrics over the last week in 1 day intervals :month - metrics over the last 31 days in 1 day intervals Configure persistence directory By default Mobius will try to save metric data for all resolutions and the current value when the erlang system exists gracefully. This makes Mobius useful for Nerves devices that have to reboot after doing a planned firmware update. The default direction Mobius will try to persist data to is the /data directory as this is friendly to Nerves devices. If you want Mobius to store data in a different location you can pass that into Mobius when you start it: children = [ # ... other children ... { Mobius , metrics : metrics , persistence_dir : &quot;/tmp&quot; } # ... other children ... ] Charting historical metrics Mobius tracks metrics overtime in a circular buffer and allows you to graph metric values over time using Mobius.Charts.plot/3 : iex&gt; Mobius.Charts . plot ( &quot;vm.memory.total&quot; ) Metric Name : vm . memory . total , Tags : %{ } 34355808.00 ┤ 34253736.73 ┤ ╭ ─ ─ ╮ ╭ ─ ─ ─ ─ ╮ 34151665.45 ┤ ╭ ─ ─ ─ ─ ╯ ╰ ─ ─ ─ ─ ╯ ╰ ─ ─ ─ 34049594.18 ┤ ╭ ─ ─ ─ ─ ╮ ╭ ─ ─ ─ ─ ╮ ╭ ─ ─ ─ ─ ╯ 33947522.91 ┤ │ ╰ ─ ─ ─ ─ ╯ ╰ ─ ╯ 33845451.64 ┤ │ 33743380.36 ┤ ╭ ─ ─ ─ ─ ╯ 33641309.09 ┤ │ 33539237.82 ┤ │ 33437166.55 ┤ │ 33335095.27 ┼ ─ ─ ─ ─ ╯ By default Mobius will plot the metrics over the last minute. You can see other resolutions by passing the :resolution option: iex&gt; Mobius.Charts . plot ( &quot;vm.memory.total&quot; , %{ } , resolution : :hour ) Metric Name : vm . memory . total , Tags : %{ } 75190128.00 ┤ 75152538.46 ┤ ╭ ╮ ╭ ╮ ╭ 75114948.92 ┤ │ │ ╭ ╮ ╭ ─ ╮ ╭ ╮ ╭ ╮ ╭ ╮ │ │ │ 75077359.38 ┤ ╭ ╮ │ ╰ ╮ ╭ ╮ │ │ │ │ │ │ │ │ ╭ ╮ │ │ ╭ ╮ ╭ ╮ ╭ ╮ │ │ │ 75039769.85 ┤ │ │ │ │ │ │ │ │ │ │ │ │ │ │ │ │ │ │ │ │ │ │ │ │ │ ╰ ╯ 75002180.31 ┤ │ │ ╭ ╮ ╭ ─ ─ ╮ │ ╰ ╯ │ │ │ ╭ ╮ │ ╰ ─ ╯ │ │ ╰ ╯ │ ╭ ╮ │ │ │ │ │ │ │ │ ╭ ╯ 74964590.77 ┤ ╭ ╮ ╭ ╮ ╭ ╯ ╰ ╯ │ │ ╰ ╯ │ │ │ │ ╰ ╮ │ │ │ │ │ ╰ ─ ─ ╯ │ │ │ │ ╰ ╮ │ ╰ ╮ │ 74927001.23 ┤ │ │ ╭ ╯ ╰ ╯ ╰ ╯ ╰ ╯ ╰ ╯ ╰ ╯ │ │ │ │ ╰ ╯ ╰ ╯ ╰ ╯ ╰ ╯ 74889411.69 ┤ │ │ │ ╰ ─ ╯ ╰ ╯ 74851822.15 ┤ ╭ ╯ │ │ 74814232.62 ┤ │ │ ╭ ╮ │ 74776643.08 ┤ │ ╰ ╯ │ │ 74739053.54 ┼ ╯ ╰ ─ ─ ─ ╯ See Mobius.resolution type for more information about the resolutions that Mobius supports. Printing current metrics To see the current metrics you can use Mobius.Charts.info/0 : iex&gt; Mobius.Charts . info ( ) Event : vintage_net_qmi . connection . end . duration Tags : %{ ifname : &quot;wwan0&quot; , status : :lan } counter : 4 last_value : 310000 Event : vm . memory . total Tags : %{ } last_value : 34674312","ref":"readme.html#usage","title":"Mobius - Usage","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Provides time based resolution and will backup historical data on graceful shutdown. Breaking changes: Mobius.plot/0 -&gt; Mobius.Charts.plot/3 Mobius.info/0 -&gt; Mobius.Charts.info/0","ref":"changelog.html#v0-2-0-2021-8-03","title":"Changelog - v0.2.0 (2021-8-03)","type":"extras"},{"doc":"Initial release!","ref":"changelog.html#v0-1-0-2021-7-16","title":"Changelog - v0.1.0 (2021-7-16)","type":"extras"}]